using System.Collections;
using System.Collections.Generic;
using Game;
using UnityEngine;

namespace InteractiveModules
{

    public class Waredrobe : InteractiveModule
    {
        [SerializeField] private GameScreenAsset nextScreen;

        public override void Activate(ScreenController screenController)
        {
            base.Activate(screenController);
            screenController.SetBackgroundColor(ColorType.Grey);
        }

        // Start is called before the first frame update
        void Start()
        {

        }

        // Update is called once per frame
        void Update()
        {

        }

        public void SwitchScene()
        {
            currentScreenController.LoadScreen(nextScreen);
        }
    }
}
